package main

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/orm"
	_ "system_pay/routers"
	"system_pay/utils"
)

func main() {

	utils.InitValidate() //验证信息的初始化定义

	if beego.BConfig.RunMode == "dev" {
		beego.BConfig.WebConfig.DirectoryIndex = true
		beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}

	if beego.AppConfig.String("runmode") == "dev" {
		orm.Debug = true
	}

	beego.Run()
}
